<div class="flex justify-end">
  <details class="relative">
    <summary class="flex items-center cursor-pointer">
      <span class="text-sm mr-2 text-slate-600">
        {{- with .role}}
        {{.Label}}
        {{else}}
        Onbekende gebruiker
        {{end -}}
      </span>

      <span class="relative mr-1">
        <svg class="w-8 h-8 mr-1 text-blue-700" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"><path d="M3 12a9 9 0 1 0 18 0a9 9 0 1 0-18 0"/><path d="M9 10a3 3 0 1 0 6 0a3 3 0 1 0-6 0m-2.832 8.849A4 4 0 0 1 10 16h4a4 4 0 0 1 3.834 2.855"/></g></svg>

        <!-- <div class="absolute inline-flex items-center justify-center w-6 h-6 text-xs font-semibold text-white bg-red-500 border-2 border-white rounded-full -top-2 -end-2">8</div> -->
      </span>

      <svg class="w-5 h-5 text-slate-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="m6 9l6 6l6-6"/></svg>
    </summary>

    <div class="z-10 absolute mt-1.5 bg-blue-800 divide-y divide-blue-700 rounded-lg shadow w-44 right-0">
      <div class="px-4 py-3 text-sm text-white">
        <p>Huidige rol</p>
        <p class="font-medium truncate">
          {{- with .role}}
          {{.Label}}
          {{else}}
          Onbekende gebruiker
          {{end -}}
        </p>
      </div>

      <ul class="py-2 text-sm text-blue-200">
        {{range configRoles}}
        <li>
          <a href="?role={{.Name}}" class="block px-4 py-2 hover:bg-blue-700 hover:text-white">{{.Label}}</a>
        </li>
        {{end}}
      </ul>

      <a class="flex items-center w-full px-4 py-2 text-sm text-blue-200 hover:bg-blue-700 hover:text-white" href="/notifications{{.routeSuffix}}">
        8 notificaties
        <svg class="w-4 h-4 ml-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="m9 6l6 6l-6 6"/></svg>
      </a>

      <div class="py-2 text-sm">
        <a href="/login" class="block px-4 py-2 text-blue-200 hover:bg-blue-700 hover:text-white">Log uit</a>
      </div>
    </div>
  </details>
</div>
